<script type="text/javascript">
    RED.nodes.registerType('devicefinder',{
        category: 'function',
        color: '#a6bbcf',
        defaults: {
            name: {value:""}
        },
        inputs:1,
        outputs:1,
        icon: "fa-magnet",
        label: function() {
            return this.name||"devicefinder";
        }
    });
</script>

<script type="text/html" data-template-name="devicefinder">
    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
</script>

<script type="text/html" data-help-name="devicefinder">
    <p>A node to process xkeys events</p>
</script>
